Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene.volume
Class FluxPlane

    java.lang.Object
      de.grogra.gpuflux.scene.FluxObject
          de.grogra.gpuflux.scene.volume.FluxVolume
              de.grogra.gpuflux.scene.volume.FluxPrimitive
                  de.grogra.gpuflux.scene.volume.FluxPlane

    public class FluxPlane

extends FluxPrimitive

Author:
  Dietger van Antwerpen

Field Summary

Fields inherited from class de.grogra.gpuflux.scene.volume.FluxPrimitive
`owner, PRIM_BOX, PRIM_FRUSTUM, PRIM_PARALLEL, PRIM_PLANE, PRIM_SPHERE, PRIM_TRANSFORMABLE, PRIM_TRIANGLE`

Fields inherited from class de.grogra.gpuflux.scene.volume.FluxVolume
`bbox`

Constructor Summary
`FluxPlane(HalfSpace v)`

Method Summary
`void` | `getExtent(BoundingBox3d bb, Variables temp)`
`void` | `serialize(ComputeByteBuffer out)`

Methods inherited from class de.grogra.gpuflux.scene.volume.FluxPrimitive
`getGroupIndex, serialize, serialize, setFluxShader, setGroupIndex, setIOR, setOwner`

Methods inherited from class de.grogra.gpuflux.scene.volume.FluxVolume
`computeExtent, getBoundingBox`

Methods inherited from class de.grogra.gpuflux.scene.FluxObject
`getOffset, setOffset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FluxPlane

    public FluxPlane(HalfSpace v)

Method Detail

### getExtent

    public void getExtent(BoundingBox3d bb,
                          Variables temp)

  Specified by:
    `getExtent` in class `FluxPrimitive`

### serialize

    public void serialize(ComputeByteBuffer out)
                   throws java.io.IOException

  Overrides:
    `serialize` in class `FluxVolume`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD